#ifndef CONFIG_H_
#define CONFIG_H_

//***********************  Определяем тип ардуины  **************************//
#if defined(__AVR_ATmega328P__) || defined(__AVR_ATmega32U4__) || defined(__AVR_ATmega2560__)

// Частота процессора.
#ifndef F_CPU
#define F_CPU 16000000UL   
#endif                             

// Определяем тип ардуины.
#if defined(__AVR_ATmega328P__)
// Если ArduinoProMini.
#define ARDUINO_PRO_MINI
#endif
#if defined(__AVR_ATmega32U4__)
// Если ArduinoProMicro.
#define ARDUINO_PRO_MICRO
#endif
#if defined(__AVR_ATmega2560__)
// Если ArduinoMega.
#define ARDUINO_MEGA_2560
#endif
#else
#error This board not support!
#endif
//***********************  /Определяем тип ардуины  *************************//

//***************************  Определение пинов  ***************************//

//******************  Soft Serial в ATmega32U4 (Promicro)  ******************//
// Настройки пинов для виртуального UART.
#if defined(ARDUINO_PRO_MICRO)
#define USB_CDC_TX        3
#define USB_CDC_RX        2
#endif
//******************  /Soft Serial в ATmega32U4 (Promicro)  *****************//
// Пин Arduino для RS485. 
#define RS485_PIN_MASTER   12  

// Пин Led для Arduino. 
#define LED_PIN           13 
//***************************  /Определение пинов  ***************************//

//*************************** Настройки UART ********************************//
// Порт UART.
#define UART_PORT                  0 

// Скорость порта UART.
#define UART_PORT_SPEED            115200UL	

// Скорость порта UART.
#define UART_DEBUG_SPEED                115200UL	

//TODO: Будет ли вариант без RS485?.
// Использование RS485.
#define UART_USE_RS485	

// Какой порт используем под RS485.
#define UART_RS485_PORT                 0	

// Отладка по UART
#define UART_SOFTWARE_DEBUG			
//*************************** /Настройки UART *******************************//

#endif /* CONFIG_H_ */
